Neo Crystal Engine - Final Fantasy II Progression System

Discussion in 'JS Plugin Releases (RMMV)' started by Crystal Noel, Jan 30, 2018.

  1. Crystal Noel

    Crystal Noel Veteran Veteran

    Messages:
    113
    Likes Received:
    28
    Location:
    The Void Beyond
    First Language:
    English
    Neo Crystal Engine – Pokémon Experience System



    By Crystal Noel





    Introduction:


    This collection of plugins creates the use-based progression system system from Final Fantasy VIII. These plugins give you full customization over how the system works and what to do about the leveling system that you may or may no longer need. (Full instructions in the help section of the plugin).


    Features:

    • Can pick and choose what aspect of the script you want

    • Can still keep levels in the system if you so desire.



    Screenshots:

    [​IMG][​IMG][​IMG][​IMG]






    Download:
    https://crystalnoel42.wordpress.com/2018/01/29/neo-crystal-engine-ff2-progression-system/
     
    #1
    Roguedeus, Uzuki, Frogboy and 6 others like this.
  2. Silenity

    Silenity Veteran Veteran

    Messages:
    599
    Likes Received:
    213
    Location:
    Oregon
    First Language:
    English
    Primarily Uses:
    RMMV
    Very cool.
     
    #2
  3. Fernyfer775

    Fernyfer775 Veteran Veteran

    Messages:
    1,287
    Likes Received:
    770
    First Language:
    English
    Awesome plugin! I'll have to play around with this some time! :D
     
    #3
  4. Naridar

    Naridar Giver of omnomberries Veteran

    Messages:
    79
    Likes Received:
    10
    Location:
    Hungary
    First Language:
    Hungarian
    There's an error with parameter setting in the "UseBasedParamGrowth" plugin's settings. When editing the "Defense options", the structure format is, according to the error message, "malformed" and the option only works in text format. Other parameters' options work fine. MV version 1.5.1.

    Also, the plugin's incompatible with Yanfly engine, it might not be in your intentions to fix this, just thought I'd let you know. When opening the Advancement menu, the following error occurs:

    Code:
    TypeError: undefined is not a function
        at Window_AdvancmentSpecs.drawItem (NCE_X_AdvancementScreen.js:389)
        at Window_AdvancmentSpecs.Window_Selectable.drawAllItems (rpg_windows.js:1256)
        at Window_AdvancmentSpecs.refresh (NCE_X_AdvancementScreen.js:443)
        at Window_AdvancmentSpecs.setCommandWindow (NCE_X_AdvancementScreen.js:348)
        at Scene_Advancement.createItemWindow (NCE_X_AdvancementScreen.js:529)
        at Scene_Advancement.create (NCE_X_AdvancementScreen.js:498)
        at Function.SceneManager.changeScene (rpg_managers.js:2005)
        at Function.SceneManager.updateMain (rpg_managers.js:1982)
        at Function.SceneManager.updateMain (YEP_FpsSynchOption.js:125)
        at Function.SceneManager.update (rpg_managers.js:1907)
     
    #4
  5. Crystal Noel

    Crystal Noel Veteran Veteran

    Messages:
    113
    Likes Received:
    28
    Location:
    The Void Beyond
    First Language:
    English
    I have uploaded a fixed version that fixes the issue. This also can be fixed by deleting the \ before the " in any instance that it occurs in.
    Also you should be able to fix the issue with Yanfly Plugins by downloading the patch I made. I forgot to upload it yesterday when I posted this plugin.
     
    #5
    Naridar likes this.
  6. Naridar

    Naridar Giver of omnomberries Veteran

    Messages:
    79
    Likes Received:
    10
    Location:
    Hungary
    First Language:
    Hungarian
    Thank you, the defense options error is fixed now. As for the crash, it was caused by me not deleting the extra parameters (I don't have that plugin installed). Deleting it solved the issue.
     
    #6
  7. DumbHag

    DumbHag Warper Member

    Messages:
    1
    Likes Received:
    2
    First Language:
    Portuguese
    Primarily Uses:
    RMMV
    There's a problem with max mp on NCE_X_UseBasedParamGrowth Plugin

    After configuring all stats,
    1) MP doesn't decrease after using a skill that costs MP
    2) Maximum MP doesn't get experience points for growth

    MV version 1.51
     
    #7
    Naridar and Zarsla like this.
  8. IAmJakeSauvage

    IAmJakeSauvage Veteran Veteran

    Messages:
    416
    Likes Received:
    659
    Location:
    Hamilton, ON
    First Language:
    English
    Primarily Uses:
    RMMV
    This is so incredibly useful! Thanks for this - I can't wait to test it out.
     
    #8
  9. Emperor DragonBreath

    Emperor DragonBreath Veteran Veteran

    Messages:
    149
    Likes Received:
    4
    Location:
    The Second Circle of Hell
    First Language:
    English
    Where could I find the fixed version of this plugin?
     
    #9
  10. Naridar

    Naridar Giver of omnomberries Veteran

    Messages:
    79
    Likes Received:
    10
    Location:
    Hungary
    First Language:
    Hungarian
    The solution I've found has peculiar effects.

    UserBasedParamGrowth plugin has this in line 533 (for me)
    Code:
    var hpDamage = Math.min(target.mp, value);
    when it should be, since that section deals with MP damage:
    Code:
    var mpDamage = Math.min(target.mp, value);
    Change the line, save the file, delete and reload the plugin in your project, and it'll work as it should, as long as you don't delete any of the "Extra stat options" (which, if you don't use any extra stats, you should, because otherwise the stat EXP screen will crash as my comment above mentions). However, if you delete the "extra stat options" contents, the no-MP-consumed problem will return.

    EDIT: Also, the extra stats have the same "visual mode is not available as the current value is malformed" error that the defense stat used to have.
     
    Last edited: Feb 19, 2018
    #10
  11. Arkaik

    Arkaik Veteran Veteran

    Messages:
    69
    Likes Received:
    11
    Location:
    Brazil
    First Language:
    Portuguese
    Primarily Uses:
    RMMV
    Hi @Crystal Noel i'm trying to use this plugin but everytime I try to acess the "Advancement Menu" it end up bugging like this:

    [​IMG]

    Did you know how can I fix it?

    P.S: It's a vanilla project. The only plugins used are those needed to operate the FF2 Progression System.
     
    #11
  12. RedFoxGaming

    RedFoxGaming Veteran Veteran

    Messages:
    40
    Likes Received:
    11
    Location:
    Tennessee, USA
    First Language:
    English
    Primarily Uses:
    RMMV
    Does anyone know if there is an updated version of this script? I'm using a vanilla project to test with, but this does not appear to be compatible with the current version of RPG Maker MV. Thank you, and sorry for bumping a 1+year old thread.

    EDIT: Probably not a good sign that CrystalNoel's last post was in January of 2018. I'm gonna downgrade to MV 1.5.1 and see if that is what the problem is
     
    Last edited: Apr 14, 2019 at 9:58 PM
    #12
  13. Yougotsomechocolate

    Yougotsomechocolate Random Chest Veteran

    Messages:
    80
    Likes Received:
    47
    First Language:
    English
    Primarily Uses:
    RMMV
    The download link on the website doesn't work anymore. I was going to try it, but I can't now.
     
    #13

Share This Page